import sys

def clausesAddedInLogFile(filename):
	f = open(filename, 'r')
	buildingClause = False # this tells us when we are working on a clause
	clause = ''
	clauseList = list()
	for line in f:
		if line.startswith('[ add clause'): # clause starts on next line
			buildingClause = True
		elif buildingClause:
			clause += line
		# check if we're done with this clause
		if buildingClause and line.strip().endswith('.'):
			clauseList.append(clause.strip())
			clause = ''
			buildingClause = False
	f.close()
	return clauseList

def main(args):
	for clause in clausesAddedInLogFile(args[1]):
		print(clause)
	print('')

main(sys.argv)