package sayu;
/**
   @author Jesse Davis
   (c) 2005
   This is an interface to define a simple nomimal attribute.  It assumes that the feature is 1) nominal, 2) that the values are integers in ascending order starting from zero
*/
public interface Attribute{
    
    /**
       @return The number of values that feature can take on
    */
    public int getNumValues();

    /**
       @return the name of this feature
    */
    public String getName();


}
