package sayu;
public class CutObj implements Comparable{

    private int pos;
    private double cut;

    public CutObj(double cut, int pos){
        this.cut = cut;
        this.pos = pos;
    }
    public double getCut(){
        return cut;
    }
    public int getPos(){
        return pos;
    }

    public int compareTo(Object o){
        int pos2 = ((CutObj)o).getPos();
        if (pos2 == pos){
            return 0;
        }
        else if (pos < pos2){
            return -1;
        }
        else{
            return 1;
        }

    }

    public static int calcDiff(int p1, int p2, int p3){
        return Math.abs(p1 - p2) + Math.abs(p3 - p2) + Math.abs(p1 - p3);
    }

    public static int calcDiff(int[] array){
        int diff = 0;
        for(int ix = 0; ix < array.length; ix++){
            diff += Math.abs((array[ix] - array[(ix+1)%array.length]));
        }
        return diff;
    }

}
