package sayu;

public class Element implements Comparable{

    private int[] data;
    private String key;
    private int primaryKey;
    private int classVal;
    public Element(int primaryKey, String k, int[] fv, int classVal){
	data = new int[fv.length];
	System.arraycopy(fv, 0, data, 0, fv.length);
	key = k;
	this.primaryKey = primaryKey;
	this.classVal = classVal;
    }

    public int[] getFV(){
	return data;
    }

    public int getPrimaryKey(){
	return primaryKey;
    }
    public String getKey(){
	return key;
    }
    public int getClassVal(){
	return classVal;
    }

   
    public int compareTo(Object o){
	Element newElem = (Element)o;
	int newKey = newElem.getPrimaryKey();
	int newClassVal = newElem.getClassVal();
	if (classVal == newClassVal){
	    if (newKey > primaryKey){
		return -1;
	    }
	    else if (newKey < primaryKey){
		return 1;
	    }
	    else{
		return 0;
	    }
	}
	else if (classVal < newClassVal){
	    return -1;
	}
	else{
	    return 1;
	}
    }
    
    public boolean sameKey(Element e2){
	if (e2.getPrimaryKey() == primaryKey){
	    return true;
	}
	else{
	    return false;
	}
    }
}
