package sayu;
/**
   @author Jesse Davis
   (c) 2005
   This is an interface to define a simple nomimal attribute.  It assumes that the feature is 1) nominal, 2) that the values are integers in ascending order starting from zero
*/
public class VariableConsecInt implements Attribute{
    
    private String varName;
    private int numValues;
    
    public VariableConsecInt(String name, int numberValues){
	varName = name;
	this.numValues = numberValues;
    }

    /**
       @return The number of values that feature can take on
    */
    public int getNumValues(){
	return numValues;
    }

    /**
       @return the name of this feature
    */
    public String getName(){
	return varName;
    }

}
