import sys

def main(args):
	# find the missing hyp numbers from the hyp filenames
	givenNums = set()
	for hypname in args[1:]:
		# they look like DP17_1000_n.hyp, but may include parent dir
		parts = hypname.split('/')
		hypname = parts[len(parts) - 1]
		givenNums.add(hypname.split('_')[0].replace('DP',''))
	# now we just need the difference
	for missing in sorted((ALL_RUNS - givenNums)):
		print(missing)

ALL_RUNS = set('1,10,100,12,13,14,15,16,17,18,19,2,20,21,22,23,24,25,26,27,28,29,3,30,31,32,33,36,37,38,40,41,42,44,45,46,47,49,5,50,51,52,54,55,56,58,59,6,60,62,64,67,68,69,70,72,73,75,79,80,82,83,84,86,87,88,89,9,90,92,93,94,95,98,99'.split(','))
main(sys.argv)