package sayu;

public class Constants {

	public static final int TRAIN_SET = 0;
	public static final int TUNE_SET = 1;
	public static final int TEST_SET = 2;

	public static final int ACC = 0;
	public static final int PR_AREA = 1;
	public static final int ROC_AREA = 2;
	public static final int CLL = 3;
	public static final int MSQE = 4;
	public static final int X_ENT = 5;
	public static final int LIFT_AREA = 6;

	public static final int NB = 0;
	public static final int TAN = 1;
	public static final int FULL_TAN = 3;
	public static final int VOTE = 2;

	public static final int NO_PARENT = -1;
	public static final int NO_EDGE = 0;
	public static final int OUT_EDGE = 1;
	public static final int IN_EDGE = 2;

	public static final int ADD = 0;
	public static final int REMOVE = 1;
	public static final int REPLACE = 2;
	public static final int DISJOIN = 3;

	public static final int C45 = 0;
	public static final int CONTINUOUS = 0;

	public static final int NEG = 0;
	public static final int POS = 1;
	/**
	 * The location in an array that represents a confusion matrix that contains
	 * the true positives.
	 */
	public static final int TP = 0;

	/**
	 * The location in an array that represents a confusion matrix that contains
	 * the false positives.
	 */
	public static final int FP = 1;

	/**
	 * The location in an array that represents a confusion matrix that contains
	 * the false negatives.
	 */
	public static final int FN = 2;

	/**
	 * The location in an array that represents a confusion matrix that contains
	 * the true negative.
	 */
	public static final int TN = 3;
}
