% The common parameters for all runs
:- no_style_check(all).

%%% Aleph Parameters---------------------------------
:- set(caching,true).
:- set(check_useless,true).
:- set(depth,100000).
:- set(i,10). 
:- set(nodes,200000).
:- set(optimise_clauses,true). %performs query optimisations
:- set(verbosity,0). %A value of 0 shows very little.
%:- set(minpos,10).
%:- set(noise,10).

%%% Mode Declarations---------------------------------
%Basic
:- consult('invasive_det.b').
%Extensional
:- consult('extensional_det.b').


%%% Background Knowledge---------------------------------
:- consult(extensional).
:- consult(otherMamm).

:- consult('DP.bk').


