
:- module(vista_variables,[create_new_variable/2]).

:- dynamic variable_number_count/1.

variable_number_count(1).

%
% Create a new varaible of Type
%
create_new_variable(Type, NewVar) :-
    %write('creating var of type = '),
    %write(Type),
    %nl,
    atom_concat('provar', Type, Prefix),
    new_var_num(NumList),
    atom_concat(Prefix, NumList, NewVar).
%
% Get the number variable being created
%
new_var_num(NumList) :-
    variable_number_count(Num),
    Num1 is Num +1,
    retractall(variable_number_count(_)),
    asserta(variable_number_count(Num1)),
    number_atom(Num,NumList).
